Connections between funnel nodes.
Retrieve all node connections of the specified funnel
Retrieve all node connections of the specified funnel
query Parameters
apiKeyAn authorized api key
idFunnelRetrieve all node connections of the specified funnel › Responses
List of funnel connections
idConnection64 bits integer unique id of the funnel
idFunnel64 bits integer id of the parent funnel
idSourceNode64 bits integer id of the connection's source node. Depending on the type of the source node, different parameters may be required. >
- If source's nodeType is 'root' or 'rotator' then the property 'connectionRotatorParams' is required
- If source's nodeType is 'lander' or 'offer' then the property 'connectionPageParams' is required
- If source's nodeType is 'jsCode' or 'phpCode' then the property 'connectionCodeParams' is required
- If source's nodeType is 'condition' then the property 'connectionConditionParams' is required
idTargetNode64 bits integer id of the connection's target node
labelLocationConnection's label's canvas location on the link between the source and target nodes. From 0.0 to 1.0. 0.0=positioned on the source node and 1.0=positioned on the target node.
Retrieve the specified connection by its id
Retrieve the specified connection by its id
query Parameters
apiKeyAn authorized api key
idConnectionRetrieve the specified connection by its id › Responses
The requested funnel connection
idConnection64 bits integer unique id of the funnel
idFunnel64 bits integer id of the parent funnel
idSourceNode64 bits integer id of the connection's source node. Depending on the type of the source node, different parameters may be required. >
- If source's nodeType is 'root' or 'rotator' then the property 'connectionRotatorParams' is required
- If source's nodeType is 'lander' or 'offer' then the property 'connectionPageParams' is required
- If source's nodeType is 'jsCode' or 'phpCode' then the property 'connectionCodeParams' is required
- If source's nodeType is 'condition' then the property 'connectionConditionParams' is required
idTargetNode64 bits integer id of the connection's target node
labelLocationConnection's label's canvas location on the link between the source and target nodes. From 0.0 to 1.0. 0.0=positioned on the source node and 1.0=positioned on the target node.
Retrieve all the connections going out from the specified source node
Retrieve all the connections going out from the specified source node
query Parameters
apiKeyAn authorized api key
idSourceNodeRetrieve all the connections going out from the specified source node › Responses
The funnel connections going out from the specified source node
idConnection64 bits integer unique id of the funnel
idFunnel64 bits integer id of the parent funnel
idSourceNode64 bits integer id of the connection's source node. Depending on the type of the source node, different parameters may be required. >
- If source's nodeType is 'root' or 'rotator' then the property 'connectionRotatorParams' is required
- If source's nodeType is 'lander' or 'offer' then the property 'connectionPageParams' is required
- If source's nodeType is 'jsCode' or 'phpCode' then the property 'connectionCodeParams' is required
- If source's nodeType is 'condition' then the property 'connectionConditionParams' is required
idTargetNode64 bits integer id of the connection's target node
labelLocationConnection's label's canvas location on the link between the source and target nodes. From 0.0 to 1.0. 0.0=positioned on the source node and 1.0=positioned on the target node.
Retrieve all the connections going to the specified target node
Retrieve all the connections going to the specified target node
query Parameters
apiKeyAn authorized api key
idTargetNodeRetrieve all the connections going to the specified target node › Responses
The funnel connections going to the specified target node
idConnection64 bits integer unique id of the funnel
idFunnel64 bits integer id of the parent funnel
idSourceNode64 bits integer id of the connection's source node. Depending on the type of the source node, different parameters may be required. >
- If source's nodeType is 'root' or 'rotator' then the property 'connectionRotatorParams' is required
- If source's nodeType is 'lander' or 'offer' then the property 'connectionPageParams' is required
- If source's nodeType is 'jsCode' or 'phpCode' then the property 'connectionCodeParams' is required
- If source's nodeType is 'condition' then the property 'connectionConditionParams' is required
idTargetNode64 bits integer id of the connection's target node
labelLocationConnection's label's canvas location on the link between the source and target nodes. From 0.0 to 1.0. 0.0=positioned on the source node and 1.0=positioned on the target node.
Update an existing funnel connection
Update an existing funnel connection. The id cannot be changed.
query Parameters
apiKeyAn authorized api key
Update an existing funnel connection › Request Body
idConnection64 bits integer unique id of the funnel
idFunnel64 bits integer id of the parent funnel
idSourceNode64 bits integer id of the connection's source node. Depending on the type of the source node, different parameters may be required. >
- If source's nodeType is 'root' or 'rotator' then the property 'connectionRotatorParams' is required
- If source's nodeType is 'lander' or 'offer' then the property 'connectionPageParams' is required
- If source's nodeType is 'jsCode' or 'phpCode' then the property 'connectionCodeParams' is required
- If source's nodeType is 'condition' then the property 'connectionConditionParams' is required
idTargetNode64 bits integer id of the connection's target node
labelLocationConnection's label's canvas location on the link between the source and target nodes. From 0.0 to 1.0. 0.0=positioned on the source node and 1.0=positioned on the target node.
Update an existing funnel connection › Responses
Connection updated successfully
Create a new funnel connection
Create a new funnel connection
query Parameters
apiKeyAn authorized api key
Create a new funnel connection › Request Body
idConnection64 bits integer unique id of the funnel
idFunnel64 bits integer id of the parent funnel
idSourceNode64 bits integer id of the connection's source node. Depending on the type of the source node, different parameters may be required. >
- If source's nodeType is 'root' or 'rotator' then the property 'connectionRotatorParams' is required
- If source's nodeType is 'lander' or 'offer' then the property 'connectionPageParams' is required
- If source's nodeType is 'jsCode' or 'phpCode' then the property 'connectionCodeParams' is required
- If source's nodeType is 'condition' then the property 'connectionConditionParams' is required
idTargetNode64 bits integer id of the connection's target node
labelLocationConnection's label's canvas location on the link between the source and target nodes. From 0.0 to 1.0. 0.0=positioned on the source node and 1.0=positioned on the target node.
Create a new funnel connection › Responses
Connection created successfully

